<?php
$this->extend('/Common/view');
$this->assign('title', __d('BuzzCamps', '%s Booking', [$data['Camp']['name']]));
?>
<?php echo $this->Form->create(null); ?>

<?php echo $this->Html->para('intro', $data['Camp']['tag_line']); ?>

<?php echo $this->element('BuzzCamps.camp_booking_basket'); ?>

<div class="row">
	<div class="col-xs-12 col-md-6">

		<h3><?php echo __d('BuzzCamps', 'Participant Details'); ?></h3>

		<div class="form--side-labels form--compact validate">

			<?php echo $this->Form->input('CampBooking.first_name', ['label' => __d('buzz_vouchers', 'First Name')]); ?>
			<?php echo $this->Form->input('CampBooking.last_name', ['label' => __d('buzz_vouchers', 'Last Name')]); ?>
			<?php echo $this->Form->input('CampBooking.email', ['label' => __d('buzz_vouchers', 'Email')]); ?>
			<?php echo $this->Form->input('CampBooking.telephone', ['label' => __d('buzz_vouchers', 'Telephone')]); ?>

		</div>

	</div>
	<div class="col-xs-12 col-md-6">

		<h3><?php echo __d('BuzzCamps', 'Billing Details'); ?></h3>

		<div class="form--side-labels form--compact validate">

			<?php echo $this->Element('BuzzCustomers.address_form', ['model' => 'AccountCredit.CustomerAddress']); ?>
			<?php echo $this->Form->input('AccountCredit.CustomerAddress.email', ['label' => __d('buzz_vouchers', 'Email')]); ?>

		</div>

	</div>
</div>

<div class="booking__actions">
	<div class="row">
		<div class="col-xs-6">
			<?php echo $this->Html->link(__d('BuzzCamps', 'Back'), ['controller' => 'camps', 'action' => 'view', $data['Camp']['id']], ['class' => 'button button--light background--septenary left']); ?>
		</div>

		<div class="col-xs-6">
			<?php echo $this->Form->button(__d('BuzzCamps', 'Book Camp'), ['class' => 'button button--dark background--senary right']); ?>
		</div>
	</div>
</div>

<?php echo $this->Form->end(); ?>
