<?php
$this->extend('/Common/2col');
$title = !empty($data) ? $this->I18n->translate($data, 'Page.title') : __d('BuzzCamps', 'Camps');
$this->assign('title', $title);
$this->start('side');
$this->end(); // side
?>
<?php if (!empty($data['Image'][0])): ?>
	<div class="text-center">
		<?php echo $this->Image->resize($data['Image'][0], ['width' => 870]); ?>
	</div>
	<div class="content__spacer"></div>
<?php endif; ?>

<?php echo !empty($data) ? $this->I18n->translate($data, 'Page.body') : null; ?>

<div class="row">
	<div class="col-xs-12">
		<div class="content__spacer"></div>

		<?php $tabs = (!empty($data['Tab']) ? count($data['Tab']) : 0) + (int)!empty($camps); ?>

		<?php if ($tabs > 1): ?>

			<div class="responsivetabs">
				<ul>
					<?php if (!empty($camps)): ?>
						<li><?php echo $this->Html->link(__d('BuzzCamps', 'Camps'), '#tab-0'); ?></li>
					<?php endif; ?>
					<?php $i = 0; ?>
					<?php foreach ($data['Tab'] as $tab): ?>
						<?php ++$i; ?>
						<li><?php echo $this->Html->link($this->I18n->translate($tab, 'title'), '#tab-' . $i); ?></li>
					<?php endforeach; ?>
				</ul>
				<?php if (!empty($camps)): ?>
					<div id="tab-0"></div>
				<?php endif; ?>
				<?php $i = 0; ?>
				<?php foreach ($data['Tab'] as $tab): ?>
					<?php ++$i; ?>
					<div id="tab-<?php echo $i; ?>"><?php echo $this->I18n->translate($tab, 'content'); ?></div>
				<?php endforeach; ?>
			</div>

		<?php else: ?>

			<?php if (!empty($camps)): ?>
				<?php echo $this->element('BuzzCamps.camp_packages', ['data' => $camps]); ?>
			<?php else: ?>
				<h2><?php echo $this->I18n->translate($data, 'Tab.0.title'); ?></h2>
				<?php echo $this->I18n->translate($data, 'Tab.0.content'); ?>
			<?php endif; ?>

		<?php endif; ?>

	</div>
</div>
